/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ApplicationPropertiesSheet.cpp,v 1.1.1.1 2003/12/24 19:41:39 gadibergman Exp $
 */

/************************************************************
				ActivePropertiesSheet.cpp
				=========================

  User Interface Properties Sheet

  Includes property pages:
  - Directories selection
  - Software properties
  - Hardware properties

************************************************************/

#include "stdafx.h"
#include "MPEGRecorder.h"
#include "ApplicationPropertiesSheet.h"
#include "SpecificApplicationData.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CApplicationPropertiesSheet

IMPLEMENT_DYNAMIC(CApplicationPropertiesSheet, CPropertySheet)

CApplicationPropertiesSheet::CApplicationPropertiesSheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage):
CPropertySheet(nIDCaption, pParentWnd, iSelectPage),
m_pAppData(NULL)
{
}

CApplicationPropertiesSheet::CApplicationPropertiesSheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage):
CPropertySheet(pszCaption, pParentWnd, iSelectPage),
m_pAppData(NULL)
{
}

CApplicationPropertiesSheet::~CApplicationPropertiesSheet()
{
}


BEGIN_MESSAGE_MAP(CApplicationPropertiesSheet, CPropertySheet)
	//{{AFX_MSG_MAP(CApplicationPropertiesSheet)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CApplicationPropertiesSheet message handlers

int CApplicationPropertiesSheet::DoModal() 
{
	int result = CPropertySheet::DoModal();

	ASSERT(m_pAppData);

	if (result == IDOK)
		m_pAppData->Save();

	return result;
}

void CApplicationPropertiesSheet::SetApplicationData(CSpecificApplicationData *pAppData)
{
	m_pAppData = pAppData;

	m_DirectoriesSelection.SetApplicationData(pAppData);
	AddPage(&m_DirectoriesSelection);

	m_HardwareProperties.SetApplicationData(pAppData);
	AddPage(&m_HardwareProperties);

	m_SoftwareProperties.SetApplicationData(pAppData);
	AddPage(&m_SoftwareProperties);
}
