/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ApplicationPropertiesSheet.h,v 1.1.1.1 2003/12/24 19:41:42 gadibergman Exp $
 */

/************************************************************
				ActivePropertiesSheet.h
				=======================

  User Interface Properties Sheet

  Includes property pages:
  - Directories selection
  - Software properties
  - Hardware properties

************************************************************/

#if !defined(AFX_APPLICATIONPROPERTIESSHEET_H__288CB310_9E16_4432_B9EB_027F6826B1C8__INCLUDED_)
#define AFX_APPLICATIONPROPERTIESSHEET_H__288CB310_9E16_4432_B9EB_027F6826B1C8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ApplicationPropertiesSheet.h : header file
//

#include "HardwarePropertiesPage.h"
#include "DirectoriesSelectionPage.h"
#include "SoftwarePropertiesPage.h"

class CSpecificApplicationData;

/////////////////////////////////////////////////////////////////////////////
// CApplicationPropertiesSheet

class CApplicationPropertiesSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CApplicationPropertiesSheet)

// Construction
public:
	CApplicationPropertiesSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CApplicationPropertiesSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

private:
	CHardwarePropertiesPage m_HardwareProperties;
	CSoftwarePropertiesPage m_SoftwareProperties;
	CDirectoriesSelectionPage m_DirectoriesSelection;
	CSpecificApplicationData * m_pAppData;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CApplicationPropertiesSheet)
	public:
	virtual int DoModal();
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetApplicationData(CSpecificApplicationData * pAppData);
	virtual ~CApplicationPropertiesSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CApplicationPropertiesSheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APPLICATIONPROPERTIESSHEET_H__288CB310_9E16_4432_B9EB_027F6826B1C8__INCLUDED_)
