/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: AudioEncoder.h,v 1.1.1.1 2003/12/24 19:41:39 gadibergman Exp $
 */

/************************************************************
				AudioEncoder.h
				==============

  An abstract class that enables getting information about
  an audio encoder, provided that the specific encoder
  implements the pure virtual methods of this class.

************************************************************/

#if !defined(AFX_AUDIOENCODER_H__07D97621_9B9B_414B_8851_10FE095504C3__INCLUDED_)
#define AFX_AUDIOENCODER_H__07D97621_9B9B_414B_8851_10FE095504C3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "mpeg4/combined/media_frame.h"

class CAudioEncoder  
{
public:
	CAudioEncoder();
	virtual ~CAudioEncoder();

	virtual MediaType get_audio_mp4_fileinfo (
					  bool *mpeg4,
					  bool *isma_compliant,
					  uint8_t *audioProfile,
					  uint8_t **audioConfig,
					  uint32_t *audioConfigLen,
					  uint8_t *mp4AudioType) = 0;

};

#endif // !defined(AFX_AUDIOENCODER_H__07D97621_9B9B_414B_8851_10FE095504C3__INCLUDED_)
