//---------------------------------------------------------
// ObjPtr.h
// ========
// Deleting dynamically allocated objects when going out of scope
// Operating Systems Structure Wet Exercise #2
// Eran Ben Shahar, Gadi Bergman
// --------------------------------------------------------

#ifndef __OBJPTR_H
#define __OBJPTR_H

// For objects allocated with []
template <class T>
class ObjPtr 
{
public: 
	ObjPtr(T * p):
	_p( p )
	{}

	ObjPtr( int iNumItems ):
	_p( new T[iNumItems] )
	{}

	virtual ~ObjPtr() { delete [] _p; }

	operator T* () const { return _p; }
	bool operator! () const { return !_p; }

private:
	T * _p;
};

// For objects allocated without []
template <class T>
class SnglObjPtr
{
public:
	SnglObjPtr(T * p):
	_p( p )
	{}

	virtual ~SnglObjPtr() { delete _p; }

	operator T* () const { return _p; }
	bool operator! () const { return !_p; }

private:
	T * _p;
};


#endif
