/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: DXVideoReceiver.h,v 1.3 2004/02/14 12:01:09 gadibergman Exp $
 */

/************************************************************
			DXVideoReceiver.h
			=================

  An object that attaches to a DirectX video capture device,
  receives frames, and redirects them to a standard buffer 
  writing object.

************************************************************/


#if !defined(AFX_DXVIDEORECEIVER_H__0C61EC0C_C23B_4075_8A49_F131D0DAAACC__INCLUDED_)
#define AFX_DXVIDEORECEIVER_H__0C61EC0C_C23B_4075_8A49_F131D0DAAACC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Base class includes
#include "StreamReceiver.h"

// classes declaration
class GeneralWriter;
class CSampleGrabberCB;
class CActiveCaptureObjects;
struct IBaseFilter;

class CDXVideoReceiver : public CVideoReceiverBase  
{

private:
	CSampleGrabberCB * m_pSampleGrabberCB;
	CActiveCaptureObjects * m_pCaptureObjects;

public:
	void SetPreviewWindow(HWND hPrevWindow);
	double GetFrameRate() const;
	CDXVideoReceiver( 
		IBaseFilter * pVideoIn, HWND hPrevWindow,
		const std::string & strPrefImageSize);
	virtual ~CDXVideoReceiver();

	unsigned long WriteBuffer(	const void * buf, 
								unsigned long len,
								double dSampleTime	) 
	{
		return CVideoReceiverBase::WriteBuffer(buf, len, dSampleTime);
	}

	void Start();
	void Stop();
	long GetWidth() const;
	long GetHeight() const;

	void GetGraphBuilderRef(IGraphBuilder** pGraph, ICaptureGraphBuilder2** pBuilder);
};

#endif // !defined(AFX_DXVIDEORECEIVER_H__0C61EC0C_C23B_4075_8A49_F131D0DAAACC__INCLUDED_)
