/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: DirectoriesSelectionPage.h,v 1.1.1.1 2003/12/24 19:41:42 gadibergman Exp $
 */

/************************************************************
			DirectoriesSelectionPage.h
			==========================

  A property page for the selection of a directory
  to store the output files.

************************************************************/

#if !defined(AFX_DIRECTORIESSELECTIONPAGE_H__67E637F5_F244_48AA_80DF_45668CED630A__INCLUDED_)
#define AFX_DIRECTORIESSELECTIONPAGE_H__67E637F5_F244_48AA_80DF_45668CED630A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DirectoriesSelectionPage.h : header file
//

class CSpecificApplicationData;

/////////////////////////////////////////////////////////////////////////////
// CDirectoriesSelectionPage dialog

class CDirectoriesSelectionPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CDirectoriesSelectionPage)

private:
	CSpecificApplicationData * m_pAppData;

// Construction
public:
	CDirectoriesSelectionPage();
	~CDirectoriesSelectionPage();

	void SetApplicationData(CSpecificApplicationData * pAppData);

// Dialog Data
	//{{AFX_DATA(CDirectoriesSelectionPage)
	enum { IDD = IDD_DIRECTORY_SETTINGS_DIALOG };
	CString	m_sRecordingPath;
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CDirectoriesSelectionPage)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CDirectoriesSelectionPage)
	afx_msg void OnBrowseRecordingPath();
	afx_msg void OnExploreRecordingPath();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIRECTORIESSELECTIONPAGE_H__67E637F5_F244_48AA_80DF_45668CED630A__INCLUDED_)
