/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: DumbWindowForMessages.h,v 1.1.1.1 2003/12/24 19:41:39 gadibergman Exp $
 */

/************************************************************
			DumbWindowForMessages.h
			=======================

  An invisible window that is responsible to receive and
  handle messages from the application system-tray icon.
  It displays the pop-up menu and pops the main UI dialogs
  through the ActiveApplicationObjects object functional 
  layer.

************************************************************/

#if !defined(AFX_DUMBWINDOWFORMESSAGES_H__D9DA5201_46E1_417D_AE28_1D76391DCBD7__INCLUDED_)
#define AFX_DUMBWINDOWFORMESSAGES_H__D9DA5201_46E1_417D_AE28_1D76391DCBD7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DumbWindowForMessages.h : header file
//


// Classes declarations
class CActiveApplicationObjects;

/////////////////////////////////////////////////////////////////////////////
// CDumbWindowForMessages window

class CDumbWindowForMessages : public CWnd
{
// Construction
public:
	CDumbWindowForMessages();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDumbWindowForMessages)
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDumbWindowForMessages();

	// Generated message map functions
protected:
	//{{AFX_MSG(CDumbWindowForMessages)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnTimeChange();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:

	enum {
		MINUTE_TIMER_EVENT_ID = 100,
		MINUTE_IN_MS = 60 * 1000
	};

	UINT m_uiTimerID;

	CActiveApplicationObjects * m_pObjs;
	void PopupMenu();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DUMBWINDOWFORMESSAGES_H__D9DA5201_46E1_417D_AE28_1D76391DCBD7__INCLUDED_)
