#ifndef __DUMMY_FILTER_H
#define __DUMMY_FILTER_H

class CDummySinkFilter : public IBaseFilter
{
	FILTER_STATE m_fsFilterState;
	IReferenceClock *m_pRefClock;
	IPin *m_pSinkInputPin;
	FILTER_INFO m_fiFilterInfo;

	DWORD m_dwClassRegistration;

	HRESULT STDMETHODCALLTYPE QueryInterface( REFIID iid, void ** ppvObject );

	ULONG STDMETHODCALLTYPE AddRef();

	ULONG STDMETHODCALLTYPE Release();

	HRESULT STDMETHODCALLTYPE Stop();

	HRESULT STDMETHODCALLTYPE Pause();

	HRESULT STDMETHODCALLTYPE Run(REFERENCE_TIME);

	HRESULT STDMETHODCALLTYPE GetState(DWORD, FILTER_STATE *m_pfsFilterState);

    HRESULT STDMETHODCALLTYPE SetSyncSource(IReferenceClock *pClock);
    
    HRESULT STDMETHODCALLTYPE GetSyncSource(IReferenceClock **pClock);

    HRESULT STDMETHODCALLTYPE EnumPins( IEnumPins **ppEnum );

    HRESULT STDMETHODCALLTYPE FindPin( 
        LPCWSTR Id,
        IPin **ppPin);

    HRESULT STDMETHODCALLTYPE QueryFilterInfo( FILTER_INFO *pInfo );
    
    HRESULT STDMETHODCALLTYPE JoinFilterGraph( 
        IFilterGraph *pGraph,
        LPCWSTR pName);
    
    HRESULT STDMETHODCALLTYPE QueryVendorInfo( LPWSTR *pVendorInfo );

    HRESULT STDMETHODCALLTYPE GetClassID( CLSID *pClassID );

public:
	CDummySinkFilter(IPin* pOutputPin);

	IPin* GetInputPin() { return m_pSinkInputPin; }

	virtual ~CDummySinkFilter();
};

#endif //__DUMMY_FILTER_H