/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: EventScheduleReport.h,v 1.1.1.1 2003/12/24 19:41:40 gadibergman Exp $
 */

/************************************************************
			EventScheduledReport.h
			======================

  User interface that provides information about the 
  scheduled recording events chronologically, as detailed
  as recording starting and ending time points.

************************************************************/

#if !defined(AFX_EVENTSCHEDULEREPORT_H__155BF59B_02A0_464B_8D73_B611D516961C__INCLUDED_)
#define AFX_EVENTSCHEDULEREPORT_H__155BF59B_02A0_464B_8D73_B611D516961C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EventScheduleReport.h : header file
//

// classes declaration
class CTimeEventsVector;

#include "resource.h"
/////////////////////////////////////////////////////////////////////////////
// CEventScheduleReport dialog

class CEventScheduleReport : public CDialog
{
// Construction
public:
	void ShowTimeSortedEvents(const CTimeEventsVector* pvTimeEvents);
	CEventScheduleReport(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CEventScheduleReport)
	enum { IDD = IDD_EVENTS_BY_TIMES };
	CListCtrl	m_EventsList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEventScheduleReport)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEventScheduleReport)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void CreateReportColumns();
	void UpdateListUI();
	const CTimeEventsVector* m_pvTimeEvents;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EVENTSCHEDULEREPORT_H__155BF59B_02A0_464B_8D73_B611D516961C__INCLUDED_)
