/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ExternalVideoViewer.cpp,v 1.1.1.1 2003/12/24 19:41:41 gadibergman Exp $
 */

/************************************************************
			ExternalVideoViewer.cpp
			=======================

  A window opened maximized that displays the preview of
  the DirectX video device.

************************************************************/

#include "stdafx.h"
#include "ExternalVideoViewer.h"
#include "DXVideoReceiver.h"
#include "VideoViewer.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExternalVideoViewer

CExternalVideoViewer::
CExternalVideoViewer(CVideoViewer * pVideoViewer):
m_pVideoViewer(pVideoViewer)
{
	LPCTSTR pszClassName = AfxRegisterWndClass(0);
	
	DWORD dwStyle = 
		WS_OVERLAPPED	|
		WS_CAPTION		|
        WS_THICKFRAME	|
        WS_MINIMIZEBOX	|
        WS_MAXIMIZEBOX	|
		WS_MAXIMIZE		|
		WS_VISIBLE;

	CreateEx(
		0, pszClassName,
		_T("External Video Viewer < Press Escape to close this window >"),
		dwStyle,
		0, 0, 400, 400,
		NULL, NULL, NULL);

	CDXVideoReceiver *pVideoReceiver =
		pVideoViewer->GetVideoReceiver();

	pVideoReceiver->SetPreviewWindow(m_hWnd);
}

CExternalVideoViewer::~CExternalVideoViewer()
{
}


BEGIN_MESSAGE_MAP(CExternalVideoViewer, CWnd)
	//{{AFX_MSG_MAP(CExternalVideoViewer)
	ON_WM_KEYDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CExternalVideoViewer message handlers

BOOL CExternalVideoViewer::OnCommand(WPARAM wParam, LPARAM lParam) 
{
	if (wParam == 2)
	{
		
		return TRUE;
	}
	
	return CWnd::OnCommand(wParam, lParam);
}

void CExternalVideoViewer::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	if (nChar == 27) // Escape key
	{
		m_pVideoViewer->RestoreInternalPreview();
		return;
	}
	
	CWnd::OnKeyDown(nChar, nRepCnt, nFlags);
}
