/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: FAACEncoder.h,v 1.2 2004/03/27 13:47:16 gadibergman Exp $
 */

/************************************************************
			FAACEncoder.h
			=============

  An audio encoder that receives standard raw input buffers
  and writes standard encoded output buffers.
  Uses code from the Freeware Advanced Audio Coder.

************************************************************/

#if !defined(AFX_FAACENCODER_H__BB2CB30A_B8FA_406E_8A34_2E2258C31B3E__INCLUDED_)
#define AFX_FAACENCODER_H__BB2CB30A_B8FA_406E_8A34_2E2258C31B3E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AudioEncoder.h"

class TimeKeepingReader;
class TimeKeepingWriter;

class CFAACEncoder : public CAudioEncoder 
{
public:
	CFAACEncoder(
					TimeKeepingReader * pReader, 
					TimeKeepingWriter * pWriter,
					unsigned long uSampleRate, 
					unsigned int uChannels,
					unsigned short usKBitRate,
					bool bIsMP4
				);

	MediaType get_audio_mp4_fileinfo (
					  bool *mpeg4,
					  bool *isma_compliant,
					  uint8_t *audioProfile,
					  uint8_t **audioConfig,
					  uint32_t *audioConfigLen,
					  uint8_t *mp4AudioType);

	virtual ~CFAACEncoder();

private:
	HANDLE m_hThreadCompletion;
	void Init();
	void Encode();

	TimeKeepingReader * m_pReader;
	TimeKeepingWriter * m_pWriter;
	unsigned long m_uSampleRate; 
	unsigned int m_uChannels;
	unsigned short m_usKBitRate;
	bool m_bIsMP4;

	friend void CFAACEncoder_EncodingThread(LPVOID pParam);
};

#endif // !defined(AFX_FAACENCODER_H__BB2CB30A_B8FA_406E_8A34_2E2258C31B3E__INCLUDED_)
