/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: FileNameGenerator.h,v 1.1.1.1 2003/12/24 19:41:38 gadibergman Exp $
 */

/************************************************************
			FileNameGenerator.h
			===================

  A pure virtual class that provides an interface for 
  generating file names.
  
************************************************************/


#ifndef __FILE_NAME_GENERATOR_H
#define __FILE_NAME_GENERATOR_H

// Classes declarations
class CString;

class CFileNameGenerator {

public:

	virtual void GenerateFileName(CString & sDirectory, 
			CString & sFileName) = 0;

	virtual LPCTSTR GetFileExtension() = 0;
};



#endif
