/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: HardwarePropertiesPage.h,v 1.2 2004/01/25 17:45:33 gadibergman Exp $
 */

/************************************************************
			HardwarePropertiesPage.h
			========================

  A UI properties page that allows the user to select
  a video input device, an audio input device,
  and a local TV format.

************************************************************/

#if !defined(AFX_HARDWAREPROPERTIESPAGE_H__9C24A421_D017_44FF_858A_0D6A11EDFB52__INCLUDED_)
#define AFX_HARDWAREPROPERTIESPAGE_H__9C24A421_D017_44FF_858A_0D6A11EDFB52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HardwarePropertiesPage.h : header file
//

// classes declarations
class CSpecificApplicationData;
class CSoundCaptureDevices;
class CVideoCaptureDevices;

/////////////////////////////////////////////////////////////////////////////
// CHardwarePropertiesPage dialog

class CHardwarePropertiesPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CHardwarePropertiesPage)

// Construction
public:
	CHardwarePropertiesPage();
	~CHardwarePropertiesPage();

	void SetApplicationData(CSpecificApplicationData * pAppData);

// Dialog Data
	//{{AFX_DATA(CHardwarePropertiesPage)
	enum { IDD = IDD_HARDWARE_SETTINGS };
	CComboBox	m_PreferredImageSizeCombo;
	CComboBox	m_TVVideoFormatsCombo;
	CComboBox	m_VideoDevicesCombo;
	CComboBox	m_AudioDevicesCombo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CHardwarePropertiesPage)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CHardwarePropertiesPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void ShowPreferredImageSizes();
	void ShowTVVideoFormats();
	void ShowVideoDevices();
	void ShowAudioDevices();

	CSpecificApplicationData * m_pAppData;
	CSoundCaptureDevices * m_pSoundDevices;
	CVideoCaptureDevices * m_pVideoDevices;
	void GetSelectedDeviceID(GUID * pDeviceID);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HARDWAREPROPERTIESPAGE_H__9C24A421_D017_44FF_858A_0D6A11EDFB52__INCLUDED_)
