/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: MPEGRecorder.h,v 1.1.1.1 2003/12/24 19:41:40 gadibergman Exp $
 */

/************************************************************
			MPEGRecorder.h
			==============

  Implementation of the MPEG Recorder MFC application class.
  The application installs a system-tray icon that sends
  message events to an invisible "dumb window for messages".

************************************************************/

#if !defined(AFX_LAMERECORDER_H__C365B96B_00F8_442F_A1BC_CBFA59488A1F__INCLUDED_)
#define AFX_LAMERECORDER_H__C365B96B_00F8_442F_A1BC_CBFA59488A1F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include "MPEGRecorder_i.h"

//classes declaration
class CDumbWindowForMessages;

/////////////////////////////////////////////////////////////////////////////
// CLameRecorderApp:
// See LameRecorder.cpp for the implementation of this class
//

class CLameRecorderApp : public CWinApp
{
public:
	CLameRecorderApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLameRecorderApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CLameRecorderApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL m_bATLInited;
private:
	void UninstallIcon();
	void InstallIcon();
	BOOL InitATL();
	CDumbWindowForMessages * m_pDumbWnd;
};

extern CLameRecorderApp theApp;

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LAMERECORDER_H__C365B96B_00F8_442F_A1BC_CBFA59488A1F__INCLUDED_)
