/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ProgramLog.cpp,v 1.1.1.1 2003/12/24 19:41:40 gadibergman Exp $
 */

/************************************************************
			ProgramLog.cpp
			==============

  An object involved in writing debug information to a file 

************************************************************/

#include "stdafx.h"
#include "ProgramLog.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CProgramLog::CProgramLog():
m_file((CString) AfxGetAppName( ) +  CString(_T(".log")),
	   CFile::modeCreate | CFile::modeWrite)
{
}

CProgramLog::~CProgramLog()
{
}

CProgramLog& CProgramLog::Get()
{
	static CProgramLog theLog;
	return theLog;
}

void CProgramLog::AddBuffer(const void *pBuffer, int iLength)
{
	m_file.Write(pBuffer, iLength);
}
