/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ProgramLog.h,v 1.1.1.1 2003/12/24 19:41:37 gadibergman Exp $
 */

/************************************************************
			ProgramLog.h
			============

  An object involved in writing debug information to a file 

************************************************************/

#if !defined(AFX_PROGRAMLOG_H__548542A5_F5A0_4028_9270_96234E3C5F1C__INCLUDED_)
#define AFX_PROGRAMLOG_H__548542A5_F5A0_4028_9270_96234E3C5F1C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <strstrea.h>

class CProgramLog  
{
private:
	CFile m_file;

	CProgramLog();

public:
	void AddBuffer(const void* pBuffer, int iLength);
	static CProgramLog& Get();
	virtual ~CProgramLog();

};

//#ifdef _DEBUG
#define LOG_STREAM(x) \
{\
	strstream stream;\
	stream << x << endl;\
	stream.flush();\
	CProgramLog::Get().AddBuffer(stream.str(), stream.pcount());\
}
//#else
//#define LOG_STREAM(x)
//#endif

#endif // !defined(AFX_PROGRAMLOG_H__548542A5_F5A0_4028_9270_96234E3C5F1C__INCLUDED_)
