/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: RGBBlockCopier.h,v 1.2 2004/03/27 13:47:16 gadibergman Exp $
 */

/************************************************************
			RGBBlockCopier.h
			================

  Reading and writing RGB frames, no actual processing done.

************************************************************/

#if !defined(AFX_RGBBLOCKCOPIER_H__C1DAD21E_6B1A_460F_B193_7CADF81A8F30__INCLUDED_)
#define AFX_RGBBLOCKCOPIER_H__C1DAD21E_6B1A_460F_B193_7CADF81A8F30__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class TimeKeepingReader;
class TimeKeepingWriter;

class CRGBBlockCopier  
{
private:
	TimeKeepingReader * m_pReader;
	TimeKeepingWriter * m_pWriter;
	unsigned long m_lFrameWidth, m_lFrameHeight;
	HANDLE m_hThreadTermination;

	void StartConversionThread();

	void PerformFiltering();


public:
	CRGBBlockCopier(
		TimeKeepingReader * pReader, 
		TimeKeepingWriter * pWriter, 
		unsigned long lFrameWidth, 
		unsigned long lFrameHeight
		);

	virtual ~CRGBBlockCopier();

	friend void CRGBBlockCopier_ThreadFunc(LPVOID pParam);
};

#endif // !defined(AFX_RGBBLOCKCOPIER_H__C1DAD21E_6B1A_460F_B193_7CADF81A8F30__INCLUDED_)
