/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: RecordingEventsUI.h,v 1.1.1.1 2003/12/24 19:41:42 gadibergman Exp $
 */

/************************************************************
			RecordingEventsUI.h
			===================

  A dialog box that enables the user to add/edit/delete 
  repeatable recording events. It also enables viewing
  a chronological plan of the first occuring events.

  This type of recording events is enabled if either the 
  video viewer is closed or is held in control
  mode "externally planned".

************************************************************/

#if !defined(AFX_RECORDINGEVENTSUI_H__273A868F_9562_4D1F_A004_79E8558E0F31__INCLUDED_)
#define AFX_RECORDINGEVENTSUI_H__273A868F_9562_4D1F_A004_79E8558E0F31__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RecordingEventsUI.h : header file
//

// classes declaration
class CTimeEventsVector;

#include "resource.h"
/////////////////////////////////////////////////////////////////////////////
// CRecordingEventsUI dialog

class CRecordingEventsUI : public CDialog
{
// Construction
public:
	void EditTimeEventsVector(CTimeEventsVector& vTimeEvents);
	CRecordingEventsUI(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CRecordingEventsUI)
	enum { IDD = IDD_RECORDING_EVENTS_DIALOG };
	CListBox	m_EventsList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRecordingEventsUI)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CRecordingEventsUI)
	afx_msg void OnClose();
	afx_msg void OnDeleteEvent();
	afx_msg void OnEditEvent();
	afx_msg void OnNewEvent();
	virtual BOOL OnInitDialog();
	afx_msg void OnChronologicalView();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void UpdateListView();
	CTimeEventsVector* m_pvTimeEvents;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RECORDINGEVENTSUI_H__273A868F_9562_4D1F_A004_79E8558E0F31__INCLUDED_)
