/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: SoftwarePropertiesPage.h,v 1.1.1.1 2003/12/24 19:41:41 gadibergman Exp $
 */

/************************************************************
			SoftwarePropertiesPage.h
			========================

  A UI software properties page, a part of the properties
  sheet. It enables peeking an audio encoder, an AV file 
  format and a desired video frame rate.
  
************************************************************/

#if !defined(AFX_SOFTWAREPROPERTIESPAGE_H__EA50C2B9_3A30_42DC_8E48_63F5FC07B4E8__INCLUDED_)
#define AFX_SOFTWAREPROPERTIESPAGE_H__EA50C2B9_3A30_42DC_8E48_63F5FC07B4E8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SoftwarePropertiesPage.h : header file
//

class CSpecificApplicationData;
/////////////////////////////////////////////////////////////////////////////
// CSoftwarePropertiesPage dialog

class CSoftwarePropertiesPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CSoftwarePropertiesPage)

	CSpecificApplicationData * m_pAppData;

// Construction
public:
	void SetApplicationData(CSpecificApplicationData * pAppData);
	CSoftwarePropertiesPage();
	~CSoftwarePropertiesPage();

// Dialog Data
	//{{AFX_DATA(CSoftwarePropertiesPage)
	enum { IDD = IDD_SOFTWARE_SETTINGS_DIALOG };
	CComboBox	m_AudioKBitrateCombo;
	CComboBox	m_VideoFrameRateCombo;
	CComboBox	m_AVFormatCombo;
	int		m_AudioEncoderNumber;
	int		m_VideoEncoderCombo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSoftwarePropertiesPage)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSoftwarePropertiesPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void FillVideoFrameRateCombo();
	void FillAudioBitRateCombo();
	void FillAVFormatsCombo();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SOFTWAREPROPERTIESPAGE_H__EA50C2B9_3A30_42DC_8E48_63F5FC07B4E8__INCLUDED_)
