/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: SoundCaptureDevices.h,v 1.1.1.1 2003/12/24 19:41:39 gadibergman Exp $
 */

/************************************************************
			SoundCaptureDevices.h
			=====================

  Enumeration of DirectX sound capture devices
  
************************************************************/

#if !defined(AFX_SOUNDCAPTUREDEVICES_H__047CF7DE_44FE_47BA_B34E_2AF31E6949E3__INCLUDED_)
#define AFX_SOUNDCAPTUREDEVICES_H__047CF7DE_44FE_47BA_B34E_2AF31E6949E3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Includes
#include <vector>

struct RecordingDevice {
	GUID m_ID;
	CString m_sDesc;
};

class CSoundCaptureDevices  
{
public:
	typedef std::vector<RecordingDevice> DevicesVector;

private:
	void Enumerate();
	void AddRecordingDeviceID
		(GUID * pRecordingDeviceID, LPSTR strDesc);

	 DevicesVector m_vDevices;

public:
	CSoundCaptureDevices() {
		Enumerate();
	}

	virtual ~CSoundCaptureDevices() {}

	const DevicesVector & GetDevices() const {
		return m_vDevices;
	}
	
	bool GetDeviceIDByName(LPCTSTR devName, GUID & devID);

	friend INT_PTR CALLBACK DSoundEnumCallback( GUID* pGUID, LPSTR strDesc, LPSTR strDrvName,
                                  VOID* pContext );

};

#endif // !defined(AFX_SOUNDCAPTUREDEVICES_H__047CF7DE_44FE_47BA_B34E_2AF31E6949E3__INCLUDED_)
