/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: TimeBasedProgressSelection.h,v 1.1.1.1 2003/12/24 19:41:41 gadibergman Exp $
 */

/************************************************************
			TimeBasedProgressSelection.h
			============================

  Synchronization solution for delaying threads according
  to the predicted timestamp of the current media buffer that
  they are waiting to write.
  
  The prediction of their timestamp = timestamp + duration
  of their previous buffer.
  
************************************************************/

#if !defined(AFX_TIMEBASEDPROGRESSSELECTION_H__4CFDB04B_4CBF_4011_9F57_5DA263ED104C__INCLUDED_)
#define AFX_TIMEBASEDPROGRESSSELECTION_H__4CFDB04B_4CBF_4011_9F57_5DA263ED104C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Includes
#include "mpeg4/combined/media_time.h"

// Classes declarations
class ThreadsInfoVector;

class CTimeBasedProgressSelection  
{
private:

	ThreadsInfoVector* m_pThreadsInfo;

public:
	void Release();
	void DeclareInactive(int iThreadIndex);
	void Wait(int iThreadIndex, Timestamp timestamp);
	CTimeBasedProgressSelection(int numThreads);
	virtual ~CTimeBasedProgressSelection();

};

#endif // !defined(AFX_TIMEBASEDPROGRESSSELECTION_H__4CFDB04B_4CBF_4011_9F57_5DA263ED104C__INCLUDED_)
