/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: TimeDependentFileNameGenerator.h,v 1.1.1.1 2003/12/24 19:41:38 gadibergman Exp $
 */

/************************************************************
			TimeDependentFileNameGenerator.h
			================================

  A file name and directory generator, that uses a root 
  directory, and generates sub-directories based on the date
  and files based on the time.
  
************************************************************/

#ifndef __TIME_DEPENDENT_FILE_NAME_GENERATOR
#define __TIME_DEPENDENT_FILE_NAME_GENERATOR

#include "FileNameGenerator.h"

class CTimeDependentFileNameGenerator : public CFileNameGenerator {

private:
	CString m_sRootDirectory;
	CString m_sExtension;

public:
	CTimeDependentFileNameGenerator(LPCTSTR sRootDirectory,
		LPCTSTR sExtension):
	m_sRootDirectory(sRootDirectory),
	m_sExtension(sExtension)
	{}

	void SetRootDirectory(LPCTSTR sRootDirectory) {
		m_sRootDirectory = sRootDirectory;
	}

	void SetExtension(LPCTSTR sExtension) {
		m_sExtension = sExtension;
	}

	virtual void GenerateFileName(CString & sDirectory, 
		CString & sFileName);

	LPCTSTR GetFileExtension() { return m_sExtension; }
};


#endif