/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: VideoCaptureDevices.h,v 1.1.1.1 2003/12/24 19:41:37 gadibergman Exp $
 */

/************************************************************
			VideoCaptureDevices.h
			=====================

  Enumeration of DirectX video input devices.
  
************************************************************/

#if !defined(AFX_VIDEOCAPTUREDEVICES_H__B8D7ED2F_D96B_42AF_A647_B3BF6334F03D__INCLUDED_)
#define AFX_VIDEOCAPTUREDEVICES_H__B8D7ED2F_D96B_42AF_A647_B3BF6334F03D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <list>

struct IBaseFilter;


class CVidCapDevDesc {
private:
	CString m_sName;
	IBaseFilter * m_pFilter;
public:
	CVidCapDevDesc(LPCTSTR sName, IBaseFilter * pFilter):
	m_sName(sName),
	m_pFilter(pFilter)
	{
		//m_pFilter->AddRef();
	}

	virtual ~CVidCapDevDesc() {
		//m_pFilter->Release();
	}

	const CString & GetDeviceName() const { return m_sName; }
	IBaseFilter * GetDeviceFilter() const { return m_pFilter; }
};

class CVideoCaptureDevices
{
public:
	CVideoCaptureDevices();
	virtual ~CVideoCaptureDevices();

	typedef std::list<CVidCapDevDesc> CDevicesList;
private:
	CDevicesList m_DevicesList;
public:
	IBaseFilter * GetVideoFilterByName(LPCTSTR sName) const;
	const CDevicesList & GetDevices() const { return m_DevicesList; }
};

#endif // !defined(AFX_VIDEOCAPTUREDEVICES_H__B8D7ED2F_D96B_42AF_A647_B3BF6334F03D__INCLUDED_)
