/*
 * MPEG Recorder
 * Copyright (c) 2004 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: VolumeMeterDialog.h,v 1.1 2004/04/12 15:36:49 gadibergman Exp $
 */

/************************************************************
			VolumeMeterDialog.h
			===================

  A dialog box for displaying a volume meter.
  The input sound signal is assumed 16 bits stereo.
  
************************************************************/

#if !defined(AFX_VOLUMEMETERDIALOG_H__44A63430_E5B5_4046_A489_E15DD5C45030__INCLUDED_)
#define AFX_VOLUMEMETERDIALOG_H__44A63430_E5B5_4046_A489_E15DD5C45030__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"

// Classes declarations
class CDXSoundReceiver;
class CTimeBasedPipe;
class CVolumeProbe;
class CMediaProvider;

/////////////////////////////////////////////////////////////////////////////
// CVolumeMeterDialog dialog

class CVolumeMeterDialog : public CDialog
{
// Construction
public:

	enum {
		CHANNELS = 2,
		BYTES_PER_SAMPLE = 2,
		SAMPLE_RATE = 44100
	};

	CVolumeMeterDialog(
		const GUID * pGdRecordingDeviceID,
		bool& bInTransition,
		CVolumeMeterDialog** ppMe,
		CWnd* pParent = NULL
		);

	virtual ~CVolumeMeterDialog();

// Dialog Data
	//{{AFX_DATA(CVolumeMeterDialog)
	enum { IDD = IDD_VU_DIALOG };
	CProgressCtrl	m_pcProgress1;
	CProgressCtrl	m_pcProgress2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVolumeMeterDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CVolumeMeterDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnCloseButton();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void FreeInternalObjects();
	CTimeBasedPipe* m_pPipe;
	CVolumeProbe* m_pVolumeProbe;
	CDXSoundReceiver* m_pSoundReceiver;
	CMediaProvider* m_pSoundProvider;
	bool& m_bInTransition;
	CVolumeMeterDialog** m_ppMe;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VOLUMEMETERDIALOG_H__44A63430_E5B5_4046_A489_E15DD5C45030__INCLUDED_)
