/*
 * MPEG Recorder
 * Copyright (c) 2004 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: VolumeProbe.h,v 1.1 2004/04/12 15:36:49 gadibergman Exp $
 */

/************************************************************
			VolumeProbe.h
			=============

  A thread that calculates the volume for a stereo 16 bits
  raw sound input
  
************************************************************/


#if !defined(AFX_VOLUMEPROBE_H__D22E02CB_1E48_471E_83B2_C621EDD3890A__INCLUDED_)
#define AFX_VOLUMEPROBE_H__D22E02CB_1E48_471E_83B2_C621EDD3890A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class TimeKeepingReader;

class CVolumeProbe  
{
	TimeKeepingReader* m_pReader;
	CWnd* m_pwDisplayWindow;
	HANDLE m_hTermination;
	unsigned int m_uiBlockSize;
	BYTE* m_pSamplesBlock;

public:
	void Start(TimeKeepingReader* pReader, unsigned int uiBlockSize, CWnd* pWnd);
	CVolumeProbe();
	virtual ~CVolumeProbe();

	enum {
		VOLUME_UNIT_READY = WM_USER + 3,
		END_OF_STREAM     = WM_USER + 4
	};

	friend void CVolumProbe_ThreadFunc(LPVOID pParam);
private:
	void Probe();
};

#endif // !defined(AFX_VOLUMEPROBE_H__D22E02CB_1E48_471E_83B2_C621EDD3890A__INCLUDED_)
