/*
 * MPEG Recorder
 * Copyright (c) 2003 Gadi Bergman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: XVidEncoder.h,v 1.1.1.1 2003/12/24 19:41:37 gadibergman Exp $
 */

/************************************************************
			XVidEncoder.h
			=============

  An MPEG-4 Video encoder, using code from MPEG4IP project.
  It reads YUV frames and writes XVid data.
  
************************************************************/

#if !defined(AFX_XVIDENCODER_H__4A8F6492_2642_4BB3_A4EF_89503F5AC734__INCLUDED_)
#define AFX_XVIDENCODER_H__4A8F6492_2642_4BB3_A4EF_89503F5AC734__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class TimeKeepingReader;
class TimeKeepingWriter;

class CXVidEncoder
{
private:
	double m_dFramesPerSecond;
	unsigned long m_uCurrentFrameNumber;
	unsigned int m_uFrameHeight;
	unsigned int m_uFrameWidth;
	HANDLE m_hThreadCompletion;
	void Encode();
	void Init();
	TimeKeepingReader * m_pReader;
	TimeKeepingWriter * m_pWriter;

public:
	CXVidEncoder(TimeKeepingReader * pReader, TimeKeepingWriter * pWriter,
		unsigned int uFrameWidth, unsigned int uFrameHeight,
		double dFramesPerSecond);
	virtual ~CXVidEncoder();

	friend void CXVidEncoder_EncodingThread(LPVOID pParam);
};

#endif // !defined(AFX_XVIDENCODER_H__4A8F6492_2642_4BB3_A4EF_89503F5AC734__INCLUDED_)
