#ifndef __RGB_2_YUV_CONVERTOR_H
#define __RGB_2_YUV_CONVERTOR_H

#include "../mpeg4/combined/media_frame.h"

class TimeKeepingReader;
class TimeKeepingWriter;

class RGB2YUVConvertor {
private:
	TimeKeepingReader * m_pReader;
	TimeKeepingWriter * m_pWriter;
	unsigned long m_lFrameWidth, m_lFrameHeight;

	void StartConversionThread();
	void DoConvert();
	void AllocateBuffers();
	void ConvertAndWrite(Timestamp timestamp, Duration duration);

	unsigned char 
		*m_pRGB, 
		*m_pYUV,
		*m_pY, 
		*m_pU, 
		*m_pV;

	unsigned long m_lFramesWritten;
	double m_dDesiredFrameRate;

	HANDLE m_hThreadTermination;

public:
	RGB2YUVConvertor(TimeKeepingReader * pReader, 
		TimeKeepingWriter * pWriter, 
		unsigned long lFrameWidth, 
		unsigned long lFrameHeight,
		double dDesiredFrameRate
		);

	virtual ~RGB2YUVConvertor();

	friend void RGB2YUVConvertor_ThreadFunc(LPVOID pParam);

};

#endif